#! /bin/sh

export GISBASE="/usr/local/grass-7.0.svn/"
export PATH=$PATH:$GISBASE/bin:$GISBASE/scripts
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$GISBASE/lib
export PYTHONPATH="$GISBASE/etc/python:$PYTHONPATH"

BASE=`pwd`

export GISDBASE=$BASE
export MAPSET=PERMANENT

export LOCATION_NAME=continent
#export GISRC=
echo "GISDBASE: $GISDBASE
MAPSET: $MAPSET
LOCATION_NAME: $LOCATION_NAME
GRASS_GUI: text" > $HOME/.grassrc7_$LOCATION_NAME
export GISRC=$HOME/.grassrc7_$LOCATION_NAME

rm -rf $LOCATION_NAME
mkdir -p $LOCATION_NAME/$MAPSET
cp -a projections/continent/* $LOCATION_NAME/$MAPSET

db.connect driver=sqlite database='$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite.db'

v.mkgrid map=continent_whole_grid grid=2,2
v.mkgrid map=map_grid grid=30,30
v.select ainput=map_grid binput=continent_whole_grid output=result operator=overlap

d.mon start=png output=res.png
d.vect map=result fcolor=none color=red
d.mon stop=png

